<?php
load_plugin_lang('charlies_content');

switch ($PLUGIN_ACTION) {
	// Affichage simple de la configuration
	case 'read_config':
		// vrifie que ffmpeg est bien prsent
		if (!file_exists('include/ffmpeg.exe') AND $plugin_config['active']) {
			$ERRORS['fatal'][] = 'charlies_content.error_ffmpeg';
		}
				
		$PAGE['content'] .= '
		<table>
			<tr>
				<td>'.l10n('charlies_content.video_time').' :</td>
				<td>'.bool_to_string($plugin_config['video_time']).($plugin_config['video_time']!=='rand' ? ' sec':'om').'</td>
			</tr>
		</table>';
		break;
	
	
	// Actions avant enregistrement
	case 'save_config':
		if (!is_decimal($_POST['Plugins']['charlies_content']['video_time']) AND $_POST['Plugins']['charlies_content']['video_time'] != 'rand') {
			$_POST['Plugins']['charlies_content']['video_time'] = 'rand';
			$ERRORS['conf'][] = array(l10n('charlies_content.video_time'), 'must_be_integer');
		}

		break;

		
	// Formulaire d'dition
	case 'edit_config':
		$PAGE['content'] .='
		<table>
			<tr>
				<td>'.l10n('charlies_content.video_time').' :</td>
				<td>
					<input type="text" name="Plugins[charlies_content][video_time]" value="'.$plugin_config['video_time'].'" size="3"/>sec
					<i>'.l10n('charlies_content.rand').'</i>
				</td>
			</tr>
		</table>';
		break;
} 
?>