<?php
load_plugin_lang('front2back_support');

switch ($PLUGIN_ACTION) {
	// Affichage simple de la configuration
	case 'read_config':
		$PAGE['content'] .= '
		<table>
			<tr>
				<td>'.l10n('front2back_support.NAMEverso').' :</td>
				<td>'.$plugin_config['NAMEverso'].'</td>
			</tr>
			<tr>
				<td>'.l10n('front2back_support.MOVEverso').' :</td>
				<td>'.bool_to_string($plugin_config['MOVEverso']).'</td>
			</tr>
			<tr>
				<td>'.l10n('front2back_support.TAGverso').' :</td>
				<td>'.$plugin_config['TAGverso'].'</td>
			</tr>
		</table>';
		break;
		
	// Actions avant enregistrement
	case 'save_config':
		$_POST['Plugins']['front2back_support']['NAMEverso'] = delete_special_car($_POST['Plugins']['front2back_support']['NAMEverso']);
		break;
		
	// Formulaire d'dition
	case 'edit_config':
		$PAGE['content'] .= '
		<table>
			<tr>
				<td>'.l10n('front2back_support.NAMEverso').' :</td>
				<td><input type="text" name="Plugins[front2back_support][NAMEverso]" value="'.$plugin_config['NAMEverso'].'" size="6"/></td>
			</tr>
			<tr>
				<td>'.l10n('front2back_support.MOVEverso').' :</td>
				<td>
					<input type="radio" id="front2back_support-move1" name="Plugins[front2back_support][MOVEverso]" value="true" '.(($plugin_config['MOVEverso'])?'checked="checked"':'').'/> 
					<label for="front2back_support-move1">'.l10n('yes').'</label>
					<input type="radio" id="front2back_support-move2" name="Plugins[front2back_support][MOVEverso]" value="false" '.((!$plugin_config['MOVEverso'])?'checked="checked"':'').'/> 
					<label for="front2back_support-move2">'.l10n('no').'</label>
				</td>
			</tr>
			<tr>
				<td>'.l10n('front2back_support.TAGverso').' :</td>
				<td>
					<input type="text" name="Plugins[front2back_support][TAGverso]" value="'.$plugin_config['TAGverso'].'" size="10"/>
					<i>'.l10n('front2back_support.unactive').'</i>
				</td>
			</tr>
		</table>';
		break;
}
?>
