<?php
load_plugin_lang('convert_pan');

switch ($PLUGIN_ACTION) {
	// Affichage simple de la configuration
	case 'read_config':
		$PAGE['content'] .= '
		<table>
			<tr>
				<td>'.l10n('convert_pan.DetectMode').' :</td>
				<td>'.$plugin_config['DetectMode'].'</td>
			</tr>';
			
			if ($plugin_config['DetectMode'] == 'name') {
				$PAGE['content'] .= '
				<tr>
					<td>'.l10n('convert_pan.NAMEpanorama').' :</td>
					<td>'.$plugin_config['NAMEpanorama'].'</td>
				</tr>';
			} else if ($plugin_config['DetectMode'] == 'ratio') {
				$PAGE['content'] .= '
				<tr>
					<td>'.l10n('convert_pan.RatioPan').' :</td>
					<td>'.$plugin_config['RatioPan'].'</td>
				</tr>';
			}
			
			$PAGE['content'] .= '
			<tr>
				<td>'.l10n('convert_pan.DIMpanorama').' :</td>
				<td>'.$plugin_config['DIMpanorama'].' px</td>
			</tr>
			<tr>
				<td>'.l10n('convert_pan.RatioPanThumb').' :</td>
				<td>'.$plugin_config['RatioPanThumb'].'</td>
			</tr>
		</table>';
		break;
		
	// Actions avant enregistrement
	case 'save_config':
		$_POST['Plugins']['convert_pan']['NAMEpanorama'] = delete_special_car($_POST['Plugins']['convert_pan']['NAMEpanorama']);
		
		if (!is_decimal($_POST['Plugins']['convert_pan']['DIMpanorama'])) {
			$_POST['Plugins']['convert_pan']['DIMpanorama'] = 500;
			$ERRORS['conf'][] = array(l10n('convert_pan.DIMpanorama'), 'must_be_integer');
		}
		if (!is_decimal($_POST['Plugins']['convert_pan']['RatioPanThumb'])) {
			$_POST['Plugins']['convert_pan']['RatioPanThumb'] = 1.7;
			$ERRORS['conf'][] = array(l10n('convert_pan.RatioPanThumb'), 'must_be_decimal');
		}
		if (!is_decimal($_POST['Plugins']['convert_pan']['RatioPan'])) {
			$_POST['Plugins']['convert_pan']['RatioPan'] = 2.85;
			$ERRORS['conf'][] = array(l10n('convert_pan.RatioPan'), 'must_be_decimal');
		}
		
		break;
		
	// Formulaire d'édition
	case 'edit_config':
		$PAGE['content'] .= '
		<script type="text/javascript">
			function ToggleConfig(sel, section){
				var obj = $("#convert_pan-tr-"+section);
				if(sel.checked){
					obj.show();
				}else{
					obj.hide();
				}
			}
		</script>
	
		<table>
			<tr>
				<td>'.l10n('convert_pan.DetectMode').' :</td>
				<td>
					<input type="radio" id="convert_pan-radio-name" name="Plugins[convert_pan][DetectMode]" value="name" onchange="ToggleConfig(this,\'name\');" '.(($plugin_config['DetectMode']=='name')?'checked="checked"':'').'/> 
					<label for="convert_pan-radio-name">'.l10n('convert_pan.DetectMode.name').'</label>
					<input type="radio" id="convert_pan.radio.ratio" name="Plugins[convert_pan][DetectMode]" value="ratio" onchange="ToggleConfig(this,\'ratio\');" '.(($plugin_config['DetectMode']=='ratio')?'checked="checked"':'').'/> 
					<label for="convert_pan-radio-ratio">'.l10n('convert_pan.DetectMode.ratio').'</label>
				</td>
			</tr>
			<tr id="convert_pan-tr-name">
				<td>'.l10n('convert_pan.NAMEpanorama').' :</td>
				<td><input type="text" name="Plugins[convert_pan][NAMEpanorama]" value="'.$plugin_config['NAMEpanorama'].'" size="6"/></td>
			</tr>
			<tr id="convert_pan-tr-ratio">
				<td>'.l10n('convert_pan.RatioPan').' :</td>
				<td><input type="text" name="Plugins[convert_pan][RatioPan]" value="'.$plugin_config['RatioPan'].'" size="3"/>px</td>
			</tr>
			
			<tr>
				<td>'.l10n('convert_pan.DIMpanorama').' :</td>
				<td>
					<input type="text" name="Plugins[convert_pan][DIMpanorama]" value="'.$plugin_config['DIMpanorama'].'" size="3"/>px
					<i>'.l10n('convert_pan.unactive').'</i>
				</td>
			</tr>
			<tr>
				<td>'.l10n('convert_pan.RatioPanThumb').' :</td>
				<td>
					<input type="text" name="Plugins[convert_pan][RatioPanThumb]" value="'.$plugin_config['RatioPanThumb'].'" size="3"/>
					<i>'.l10n('convert_pan.unactive').'</i>
				</td>
			</tr>
		</table>
		
		<script type="text/javascript">
			ToggleConfig(document.forms[0].elements["Plugins[convert_pan][DetectMode]"][0], "name");
			ToggleConfig(document.forms[0].elements["Plugins[convert_pan][DetectMode]"][1], "ratio");
		</script>';
		break;
}
?>
